using StartServerWPF.Modules.MseedChart.ViewModels;
using StartServerWPF.Modules.MseedChart.Views;
using Prism.Ioc;
using Prism.Modularity;
using Prism.Regions;
using StartServerWPF.Modules.MseedChart.Core;

namespace StartServerWPF.Modules.MseedChart
{
    public class MseedChartModule : IModule
    {
        public void OnInitialized(IContainerProvider containerProvider)
        {
            var regionManager = containerProvider.Resolve<IRegionManager>();
           // regionManager.RegisterViewWithRegion(RegionNames.ContentRegion, typeof(ChartPlotView));
        }

        public void RegisterTypes(IContainerRegistry containerRegistry)
        {
            containerRegistry.RegisterForNavigation<ChartPlotView>();
            containerRegistry.RegisterForNavigation<ChartPlotRealDataView>();
            containerRegistry.RegisterSingleton<ChartPlotViewModel>();
            containerRegistry.RegisterSingleton<ChartPlotRealDataViewModel>();
            containerRegistry.RegisterDialog<ChartStationDialog>();
        }
    }
}